# Workflow Monitor Tests: lack thereof

## WorkflowMonitor untestable without extensive refactoring
Due to queue and messenger rework, workflow monitor tests
are broken; test_wf_monitor module has been removed.

Tests were:
* `test_parse_log`: tested that example log file is correctly parsed
  by checking for the known order of event types
* `test_parse_log_error`: tested for ValueError when a badly formatted
  log is parsed
* `test_read_log`: tested whether or not example log is being correctly read by checking for strings known to
  exist in the example log file
* `test_read_log_slow`: tested that wf_monitor can keep up with reading when writing is slow.
* `test_read_log_timeout`: tested timeout functionality of WorkflowMonitor.read_htcondor_log()
* `test_send_events`: mocked core wf_monitor functionality of creating a connection to the RabbitMQ
  server, configuring a channel with that connection, and emitting events through that channel
